////////////////////////////////////////////////
// Definicija klase CCaptureWnd
//
// Copyright (c) Predrag Drljaca 1997
//
// Klasa je naslednik klase CVideoWnd
//
#include "VideoWnd.h"

class CCaptureWnd: public CVideoWnd
{
public:
	CCaptureWnd();
	~CCaptureWnd();
	DECLARE_DYNCREATE(CCaptureWnd)

	// startna funkcija koja nas oslobadja nekoliko dosadnih koraka
	BOOL InitHardware();
	// procedure koje imaju veze sa prozorom
	void ResizeWnd();

	// funkcije koje vracaju parametre
	BOOL HasOverlay(){return CapDriverCaps.fHasOverlay;}
	BOOL HasDlgVideoFormat(){return CapDriverCaps.fHasDlgVideoFormat;}
	BOOL HasDlgVideoSource(){return CapDriverCaps.fHasDlgVideoSource;}
	BOOL HasDlgVideoDisplay(){return CapDriverCaps.fHasDlgVideoDisplay;}
    
	// funkcije koje rade sa regystrijem koriste se polja u registriju
	// koje koristi Microsoft VidCap

	void ReadSettings();
	void WriteSettings();
	
	//regystry functions
	UINT  regGetProfileInt(LPSTR appname, LPSTR valuename, UINT uDefault);
	void  regWriteProfileInt(LPSTR appname, LPSTR valuename, UINT uValue, UINT uDefault);
	DWORD regGetProfileString(LPSTR appname,LPSTR valuename,LPSTR pDefault,LPSTR pResult,unsigned long cbResult);
	void  regWriteProfileString(LPSTR appname, LPSTR valuename, LPSTR pData);

	// proba za virtuelne callback funkcije
	virtual LRESULT OnFrame(LPVIDEOHDR lpVH);

	
	BOOL bOverlay,
		 bLive;
	char CaptureFile[_MAX_PATH];

	

private:
	BOOL bConnected;
	CAPTUREPARMS CapParams;
	CAPDRIVERCAPS CapDriverCaps;
	CAPSTATUS CapStatus;

// Generated message map functions
protected:
	//{{AFX_MSG(CCaptureWnd)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
